Chapter 5. lenny യെക്കുറിച്ചു് അറിഞ്ഞിരിക്കേണ്ട പ്രശ്നങ്ങള്‍

Table of Contents

5.1. വരാവുന്ന പ്രശ്നങ്ങള്‍
5.1.1. യുഡേവുമായി ബന്ധപ്പെട്ട ഉപകരണങ്ങളുടെ പ്രശ്നങ്ങള്‍
5.1.2. ചില പ്രയോഗങ്ങള്‍ 2.4 കെര്‍ണലുമായി ഇനി പ്രവര്‍ത്തിയ്ക്കാതിരുന്നേയ്ക്കാം
5.1.3. ചില ശൃംഖലാ സ്ഥാനങ്ങളില്‍ ടിസിപി വഴി എത്തിപ്പെടാന്‍ പറ്റുന്നില്ല
5.1.4. സ്വയം നിര്‍ത്തിവയ്ക്കുന്നതു് പ്രര്‍ത്തിക്കുന്നില്ല
5.1.5. ഒറ്റക്കും തറ്റക്കുമുള്ള ശൃംഖലയുടെ തുടക്കം പ്രവചനാതീതമായ പെരുമാറ്റങ്ങള്‍ക്കിടയാക്കുന്നു
5.1.6. WPA സംരക്ഷിത കമ്പിയില്ലാ ശൃംഖല ഉപയോഗിക്കുമ്പോള്‍ പ്രയാസം
5.1.7. ഫയലുകളുടെ പേരില്‍ ആസ്കിയല്ലാത്ത അക്ഷരങ്ങള്‍ വരുമ്പോളുള്ള പ്രശ്നം
5.1.8. ശബ്ദം കേള്‍ക്കാതാകുന്നു
5.2. ഇപ്പോള്‍ NFS കയറ്റുന്നത് nfs-common ആണ് കൈകാര്യം ചെയ്യുന്നത്.
5.3. റൊമാനിയന്‍ (ro) കീബോര്‍ഡ് വിന്യാ‌സത്തിനു് മാറ്റം
5.4. അപ്പാച്ചെ2 പുതുക്കല്‍
5.5. NISഉം ശൃംഖലാ നടത്തിപ്പുകാരനും
5.6. മോസില്ലാ ഉല്‍പ്പന്നങ്ങളുടെ സുരക്ഷിതത്വ നിലവാരം
5.7. Security status of OCS Inventory and SQL-Ledger
5.8. കെഡി‌ഇ പണിയിടം
5.9. ഗ്നോം പണിയിടത്തിലെ മാറ്റങ്ങളും പിന്തുണയും
5.10. ഈമാക്സ്21* ല്‍ സഹജമായ യൂണികോഡ് പിന്തുണയില്ല
5.11. slurpd/replica ഇനി മുതല്‍ പ്രവര്‍ത്തിയ്ക്കില്ല
5.12. മുഴുവന്‍ സ്ക്രീനും ഉപയോഗിയ്ക്കാത്ത പണിയിടം
5.13. ഡിഎച്ച്സിപി ഫെയില്‍ഓവര്‍ പ്രശ്നം
5.14. VServer Disk Limit

5.1. വരാവുന്ന പ്രശ്നങ്ങള്‍

ചിലപ്പോള്‍ മാറ്റങ്ങള്‍ ഒഴിവാക്കാനാവാത്ത പാര്‍ശ്വഫലങ്ങള്‍ക്കോ മറ്റെവിടെയെങ്കിലുമുള്ള പിഴവുകള്‍ പുറത്തറിയാനോ കാരണമാകാറുണ്ടു്. പരിചിതമായ ചില പ്രശ്നങ്ങളെക്കുറിച്ച് ഞങ്ങളിവിടെ കുറിച്ചിടുന്നു. ദയവായി എറാറ്റ, സംഗതമായ പൊതിക്കെട്ടിന്റെ സഹായക്കുറിപ്പുകള്‍, പിഴവുകള്‍, Section 6.1, “ഇനിയും വിവരങ്ങള്‍ക്ക് വായിക്കുക” എന്നിടത്തു് പ്രതിപാദിച്ചിട്ടുള്ള മറ്റു് വിവരങ്ങള്‍ എന്നിവ കൂടി വായിക്കുമല്ലൊ.

5.1.1. യുഡേവുമായി ബന്ധപ്പെട്ട ഉപകരണങ്ങളുടെ പ്രശ്നങ്ങള്‍

udev വിശദമായ പരിശോധനയ്ക്ക് വിധേയമാക്കിയിട്ടുണ്ടെങ്കിലും ചില ഉപകരണങ്ങള്‍ തിരുത്തപ്പെടേണ്ട ചില ചില്ലറ പ്രശ്നങ്ങള്‍ കാണിക്കുന്നത് അനുഭവപ്പെട്ടിട്ടുണ്ടാവാം. ഏറ്റവും സാധാരണമായ പ്രശ്നം ഉപകരണങ്ങളുടെ ഉടമസ്ഥതയും/യോ മാറിപ്പോയ അനുമതിയും/യോ ആണ്. ചില സന്ദര്‍ഭങ്ങളില്‍ ഉപകരണങ്ങള്‍ സഹജമായി സൃഷ്ടിക്കപ്പെട്ടതായി കാണുന്നില്ല. (ഉദാ: /dev/video, /dev/radio എന്നിവ).

ഇത്തരം പ്രശ്നങ്ങള്‍ കൈകാര്യം ചെയ്യുന്നതിന് മതിയായ ക്രമീകരണ സംവിധാനങ്ങള്‍ udev നല്‍കുന്നുണ്ട്. കൂടുതല്‍ വിവരങ്ങള്‍ക്ക് udev(8)ഉം /etc/udevഉം നോക്കുക.

5.1.2. ചില പ്രയോഗങ്ങള്‍ 2.4 കെര്‍ണലുമായി ഇനി പ്രവര്‍ത്തിയ്ക്കാതിരുന്നേയ്ക്കാം

lenny ലെ ചില പ്രയോഗങ്ങള്‍ 2.4 കെര്‍ണലുമായി ഇനി പ്രവര്‍ത്തിയ്ക്കാതിരുന്നേയ്ക്കാം, ഉദാഹരണത്തിന് അവയ്ക്ക് epoll()ന്റെ പിന്തുണ ആവശ്യ‌മുണ്ടെങ്കിലും, അത് 2.4 കെര്‍ണലില്‍ ഇല്ല. അത്തരം പ്രയോഗങ്ങള്‍ തീരെ പ്രവര്‍ത്തിക്കാതിരിക്കുകയോ, 2.6 കെര്‍ണല്‍ ഉപയോഗിച്ചു് സിസ്റ്റം വീണ്ടും ബൂട്ട് ചെയ്യും വരെ ശരിയായി പ്രവര്‍ത്തിക്കാതിരിക്കുകയോ ചെയ്യും.

ഒരു ഉദാഹരണം squid എച്ച്ടിടിപി പ്രോക്സി.

5.1.3. ചില ശൃംഖലാ സ്ഥാനങ്ങളില്‍ ടിസിപി വഴി എത്തിപ്പെടാന്‍ പറ്റുന്നില്ല

2.6.17നു ശേഷം ആര്‍എഫ്‌സി 1323 ല്‍ പരാമര്‍ശിച്ച ടിസിപി ജാലകത്തിന്റെ ഏറ്റക്കുറവുകള്‍ ഇളവുകളൊന്നും നല്‍കാതെയാണു് ലിനക്സ് ഉപയോഗിക്കുന്നതു്. ചില സെര്‍വറുകള്‍ക്കു് ജാലക അളവുകള്‍ തെറ്റായി പ്രഖ്യാ‌പിയ്ക്കുന്ന തെറ്റായ പെരുമാറ്റമുണ്ടു്. വിശദാംശങ്ങള്‍ക്കായി #381262, #395066, #401435 എന്നീ പിഴവുകളുടെ വിവരങ്ങള്‍ നോക്കുക.

സാധാരണയായി ഇത്തരം പ്രശ്നങ്ങള്‍ക്ക് രണ്ട് പരിഹാരങ്ങളുണ്ട്: ഒന്നുകില്‍ അനുവദിക്കപ്പെട്ട TCP ജാലകത്തിന്റെ ഏറ്റക്കുറച്ചിലുകള്‍ കുറഞ്ഞ നിരക്കിലേക്ക് തരം താഴ്ത്തുകയോ (തമ്മില്‍ ഭേദം) അല്ലെങ്കില്‍ TCP ജാലകത്തിന്റെ ഏറ്റക്കുറച്ചിലുകള്‍ പ്രക്രിയ അപ്പാടെ വേണ്ടെന്നു വെയ്ക്കുകയോ (നിരുത്സാഹപ്പെടുത്തിയിരിയ്ക്കുന്നു) ആണത്. debian-installer errata pageഎന്ന കണ്ണിയിലെ ഉദാഹരണ ആജ്ഞകള്‍ കാണുക.

5.1.4. സ്വയം നിര്‍ത്തിവയ്ക്കുന്നതു് പ്രര്‍ത്തിക്കുന്നില്ല

ചില പഴയ സിസ്റ്റങ്ങളില്‍ shutdown -h വൈദ്യുതിലഭ്യത നിര്‍ത്തപ്പെടുന്നില്ല (പ്രവര്‍ത്തനം നിര്‍ത്തുന്നേയുള്ളു). APM ഉപയോഗിക്കാത്തതാണ് ഇത് സംഭവിക്കാന്‍കാരണം. ഉദാ:grub അല്ലെങ്കില്‍ lilo തുടങ്ങിയവയുടെ ക്രമീകരണ ഫയലിലെ കെര്‍ണലിന്റെ ആജ്ഞാ വരിയില്‍ acpi=off apm=power_off എന്ന് ചേര്‍ത്താല്‍ തീരുന്നതേയുള്ളു ഈ പ്രശ്നം. കൂടുതല്‍ വിവരങ്ങള്‍ക്ക് #390547 എന്ന കണ്ണിയിലെ പിഴവിന്റെ വിവരം കാണുക.

5.1.5. ഒറ്റക്കും തറ്റക്കുമുള്ള ശൃംഖലയുടെ തുടക്കം പ്രവചനാതീതമായ പെരുമാറ്റങ്ങള്‍ക്കിടയാക്കുന്നു

ശൃംഖലയുടെ വിനിമയതല പ്രവര്‍ത്തകം കയറ്റാന്‍ udev ഉപയോഗിക്കേണ്ടിവരുന്ന സിസ്റ്റങ്ങളില്‍, udevന്റെ ഏകീകൃതമല്ലാത്ത പ്രകൃതികാരണം സിസ്റ്റത്തിന്റെ ബൂട്ടിങ്ങില്‍ /etc/init.d/networking പ്രവര്‍ത്തിച്ചു് തുടങ്ങും മുമ്പ് ശൃംഖലാ പ്രവര്‍ത്തകം കയറ്റപ്പെടാതിരിയ്ക്കാന്‍ സാദ്ധ്യ‌തയുണ്ട്. /etc/network/interfacesല്‍ (auto യ്ക്കു് പുറമേ)allow-hotplug ഉള്‍പ്പെടുത്തുന്നതു് ശൃഖലാ വിനിമയതലം ഒരിക്കല്‍ ലഭ്യ‌മായാല്‍ പ്രവര്‍ത്തനസജ്ജമാകുമെന്നു് ഉറപ്പാക്കാമെങ്കിലും ശൃംഖലാ വിനിമയതലത്തിന്റെ അഭാവത്തില്‍ ശരിയായി പ്രവര്‍ത്തിയ്ക്കാത്ത ചില ശൃംഖലാ സേവനങ്ങള്‍ തുടങ്ങും മുമ്പ് ബൂട്ടിങ്ങ് ക്രിയാ ശ്രേണി ഇത് സാധിക്കുമെന്ന് ഉറപ്പൊന്നുമില്ല. .

5.1.6. WPA സംരക്ഷിത കമ്പിയില്ലാ ശൃംഖല ഉപയോഗിക്കുമ്പോള്‍ പ്രയാസം

etchല്‍ wpasupplicant പൊതിക്കെട്ടു് /etc/default/wpasupplicantകൊണ്ടും ഉപയോക്താവ് നല്‍കിയ /etc/wpasupplicant.confകൊണ്ടും ക്രമീകരണം നടത്തിയ സിസ്റ്റം സേവനങ്ങളായാണ് ഒരുക്കിയിട്ടുണ്ടായിരുന്നതു്.

lennyയില്‍ /etc/init.d/wpasupplicantഒഴിവാക്കിയിരിക്കുന്നു, എന്നാല്‍ ഡെബിയന്‍ പൊതിക്കെട്ട് ഇപ്പോള്‍ /etc/network/interfacesമായി wireless-tools പോലുള്ള പൊതിക്കെട്ടുകളെപ്പോലെ സംയോജിപ്പിക്കപ്പെട്ടിരിക്കുന്നു. അതായത് മേലില്‍ wpasupplicant നേരിട്ട് ഒരു സിസ്റ്റം സേവനമായി ലഭ്യ‌മാകില്ല.

/etc/network/interfaces ഫയലുകള്‍ക്കുള്ള ഉദാഹരണംകാണിച്ചു തരുന്ന, wpasupplicant ന്റെ ക്രമീകരണ വിവരങ്ങള്‍ക്ക് ദയവായി /usr/share/doc/wpasupplicant/README.modes.gz നോക്കുമല്ലൊ. ഡെബിയനില്‍ wpasupplicant പൊതിക്കെട്ടുകള്‍ ഉപയോഗിക്കേണ്ട പുതുക്കിയ വിവരം ഡെബിയന്‍ വിക്കി എന്ന കണ്ണിയില്‍ കാണാവുന്നതാണ്.

5.1.7. ഫയലുകളുടെ പേരില്‍ ആസ്കിയല്ലാത്ത അക്ഷരങ്ങള്‍ വരുമ്പോളുള്ള പ്രശ്നം

ആസ്കിയല്ലാത്ത അക്ഷരങ്ങള്‍ ഉപയോഗിച്ച ഫയല്‍നാമങ്ങളുള്ള vfat, ntfs or iso9660 ഫയല്‍ സിസ്റ്റങ്ങള്‍ utf8 ഐച്ഛികം ഉപയോഗിയ്ക്കാതെ ചേര്‍ത്താല്‍ ആരെങ്കിലും ആ ഫയല്‍നാമങ്ങള്‍ ഉപയോഗിയ്ക്കാന്‍ ശ്രമിച്ചാല്‍ തോല്‍വിയായിരിക്കും ഫലം. “Invalid or incomplete multibyte or wide character” എന്നു് പറഞ്ഞ തോല്‍വി ഇതിനുള്ള ഒരു സൂചനയായേയ്ക്കാം. ആസ്കി അക്ഷരങ്ങള്‍ ഉള്ള ഫയല്‍ നാമങ്ങള്‍ വരുമ്പോള്‍ vfat, ntfs and iso9660 ഫയല്‍ സിസ്റ്റങ്ങള്‍ ചേര്‍ക്കുമ്പോള്‍ ഐച്ഛികങ്ങളായി defaults,utf8 എന്നിവ ഉപയോഗിക്കുന്നത് ഒരു പരിഹാര സാധ്യ‌തയാണ്.

utf8 ഐച്ഛികം ഉപയോഗിക്കുമ്പോള്‍ vfatനു വേണ്ടി വലിയക്ഷര/ചെറിയക്ഷര സംവേദനക്ഷമതയുള്ള ഫയല്‍ നാമങ്ങള്‍ കൈകാര്യം ചെയ്യാന്‍ ലിനക്സിനു് പിന്തുണയില്ലെന്ന കാര്യം ശ്രദ്ധിക്കുമല്ലൊ.

5.1.8. ശബ്ദം കേള്‍ക്കാതാകുന്നു

നവീകരണത്തിനു് ശേഷം അപൂര്‍വ്വമായി ശബ്ദം കേള്‍ക്കാതാവാറുണ്ട്. അങ്ങനെ സംഭവിച്ചാല്‍ALSA checklist ലൂടെ ഒന്നു കണ്ണോടിക്കൂ:

  • root ഉപയോക്താവായി alsaconf പ്രവര്‍ത്തിപ്പിക്കണം,

  • audio കൂട്ടത്തിലേക്ക് നിങ്ങളുടെ ഉപയോക്താവിനെ ചേര്‍ക്കുക,

  • (alsamixerഉപയോഗിച്ചുകൊണ്ട്) ശബ്ദപഥങ്ങള്‍ തുറന്നിരിക്കുകയാണെന്ന് ഉറപ്പാക്കുക,

  • artsയും esoundഉം ഓടുന്നില്ലെന്ന് ഉറപ്പ് വരുത്തുക,

  • OSS ഭാഗങ്ങളൊന്നും കയറ്റിയിട്ടില്ലെന്ന് ഉറപ്പാക്കുക,

  • സ്പീക്കറുകള്‍ യഥാര്‍ത്ഥത്തില്‍ ഓണാക്കി വെച്ചിരിക്കുകയാണെന്ന് ഉറപ്പാക്കുകയും,

  • താഴെ പറയുന്ന ആജ്ഞ

    cat /dev/urandom > /dev/audio

    or the command

    speaker-test

    root ആയി പ്രവര്‍ത്തിക്കുന്നുവെന്നു് പരിശോധിക്കുക.

5.2. ഇപ്പോള്‍ NFS കയറ്റുന്നത് nfs-common ആണ് കൈകാര്യം ചെയ്യുന്നത്.

util-linux 2.13നു ശേഷം NFS കയറ്റുന്നതിന്റെ കൈകാര്യ‌കര്‍തൃത്വം util-linuxന്റേതല്ല; മറിച്ച്nfs-common ന്റേതാണ്. NFS shares ചേര്‍ക്കുന്നതിന് എല്ലാ സിസ്റ്റങ്ങള്‍ക്കും ആവശ്യമില്ലാത്തതിനാലും ഒരു സാധാരണ പോര്‍ട്ട്മാപ്പര്‍ ഇന്‍സ്റ്റോള്‍ ഒഴിവാക്കുന്നതിനും util-linux,nfs-common നിര്‍ദ്ദേശിക്കുക മാത്രം ചെയ്യുന്നു. NFS shares ചേര്‍ക്കണമെന്ന് നിര്‍ബ്ബന്ധമാണെങ്കില്‍, nfs-common നിങ്ങളുടെ സിസ്റ്റത്തില്‍ ഇന്‍സ്റ്റോള്‍ ചെയ്തിട്ടുണ്ടെന്ന് ഉറപ്പു വരുത്തുക. mountപൊതിക്കെട്ടിന്റെ ഇന്‍സ്റ്റലേഷനു് മുമ്പുള്ള സ്ക്രിപ്റ്റ് NFS mounts നിലവിലുണ്ടോ പരിശോധിയ്ക്കുകയും, nfs-common ലെ /usr/sbin/mount.nfs ന്റെ അഭാവത്തിലും nfs-common കാലാവധി കഴിഞ്ഞ അവസരത്തിലും പിന്തിരിയുകയും ചെയ്യുന്നു. ഒന്നുകില്‍ nfs-common പുതുക്കുകയോ പുതുക്കുന്നതിനായി മുമ്പ് ചേര്‍ത്ത NFS mounts വേര്‍പ്പെടുത്തുകയോ ചെയ്യണം.

5.3. റൊമാനിയന്‍ (ro) കീബോര്‍ഡ് വിന്യാ‌സത്തിനു് മാറ്റം

lennyയില്‍ xkb-data യുടെ പതിപ്പു് 1.3 ലേയ്ക്ക് പുതുക്കിയ കാരണം, റൊമാനിയന്‍ ‍(ro) വിന്യാ‌സത്തിന്റെ സഹജമായ വകഭേദം ഇപ്പോള്‍ şţ (cedilla തഴെ)ക്ക് പകരം șț (താഴെ കോമ) ചിഹ്നങ്ങള്‍ ശരിയായി കാണിക്കുന്നുണ്ട്. വേറെ ചില വകഭേദങ്ങളും (ഡെറിവേറ്റീവ്) പുനര്‍നാമകരണം ചെയ്യപ്പെട്ടിട്ടുണ്ട്. പഴയ വകഭേദ നാമങ്ങളും ഫലിക്കുമെങ്കിലും ഉപയോക്താക്കളെ അവരുടെ /etc/X11/xorg.confപുതുക്കാന്‍ പ്രോത്സാഹിപ്പിക്കുന്നു. കൂടുതല്‍ വിവരങ്ങളും അതേപോലെ മാറ്റങ്ങള്‍കൊണ്ട് വരാവുന്ന പാര്‍ശ്വഫലങ്ങളും‍ വിക്കി (റൊമാനിയന്‍ ഭാഷ മാത്രം) യില്‍ ലഭ്യ‌മാണ്.

5.4. അപ്പാച്ചെ2 പുതുക്കല്‍

അപ്പാച്ചെയുടെ സഹജ ക്രമീകരണത്തില്‍ ചില മാറ്റം വരുത്തിയിട്ടുള്ളതിനാല്‍ നിങ്ങളുടെ ക്രമീകരണത്തിലും മാറ്റങ്ങള്‍ വരുത്തേണ്ടിയിരിക്കുന്നു. അവയില്‍ പ്രധാനപ്പെട്ട മാറ്റങ്ങള്‍:

NameVirtualHost * എന്നത് NameVirtualHost *:80 എന്നാക്കി മാറ്റിയിട്ടുണ്ട്. നിങ്ങള്‍ കൂടുതല്‍ പേരടിസ്ഥാനമാക്കിയ മായാ ഹോസ്റ്റുകളെ ചേര്‍ത്തിട്ടുണ്ടെങ്കില്‍, <VirtualHost *>എന്നത് അവയില്‍ ഓരോന്നിനും <VirtualHost *:80> എന്നാക്കി മാറ്റേണ്ടിയിരിക്കുന്നു.

അപ്പാച്ചെ ഉപയോക്താവും കൂട്ടവും പിഐഡി ഫയല്‍ നാമങ്ങളും ഇപ്പോള്‍ /etc/apache2/envvarsലാണ് ക്രമീകരിച്ചിട്ടുള്ളത്. ഇവയുടെ സഹജ സജ്ജീകരണങ്ങളില്‍ നിന്നും അവയുടെ മൂല്യ‌ങ്ങള്‍ മാറ്റിയിട്ടുണ്ടെങ്കില്‍, നിങ്ങള്‍ക്ക് ആ ഫയല്‍ മാറ്റേണ്ടി വരും. അതായത് apache2 -k startകൊണ്ട് അപ്പാച്ചെ2 തുടങ്ങുന്നതു് മേലില്‍ സാധ്യമായെന്നു വരില്ല എന്നു കൂടി സാരം. /etc/init.d/apache2ഓ അല്ലെങ്കില്‍apache2ctl ഓ ഉപയോഗിക്കേണ്ടി വരും.

mod_suexec പരിപാടിക്ക് അത്യാ‌വശ്യ‌മായ suexec സഹായക പ്രോഗ്രാം ഇപ്പോള്‍ apache2-suexec എന്ന പ്രത്യേ‌കം പൊതിക്കെട്ടായിട്ടാണ് വരുന്നത്, അത് സഹജമായി ഇന്‍സ്റ്റോള്‍ ചെയ്യപ്പെടുന്നില്ല.

കൂടുതല്‍ ഭാഗങ്ങളുടെ കൃത്യ‌മായ ക്രമീകരണങ്ങള്‍ /etc/apache2/apache2.confല്‍ നിന്ന് /etc/apache2/mods-available/*conf ലേക്ക് മാറ്റിയിട്ടുണ്ട്.

കൂടുതല്‍ വിശദമായ വിവരങ്ങള്‍ക്കായി /usr/share/doc/apache2.2-common/NEWS.Debian.gz ഉം /usr/share/doc/apache2.2-common/README.Debian.gzഉം കാണുമല്ലൊ.

5.5. NISഉം ശൃംഖലാ നടത്തിപ്പുകാരനും

nisനോട് ചേര്‍ത്ത ypbindന്റെ പതിപ്പ് ശൃംഖലാ നടത്തിപ്പുകാരനുള്ള പിന്തുണ ഉള്‍‌ക്കൊള്ളുന്നുണ്ട്. ശൃംഖലകളില്‍ നിന്ന് കമ്പ്യൂ‌ട്ടര്‍ വിച്ഛേദിക്കപ്പെട്ടു എന്ന് ‍ശൃംഖലാ നടത്തിപ്പുകാരന്‍ പ്രസ്താവിക്കുമ്പോള്‍ ypbindNIS ക്ലയന്റ് ധര്‍മ്മം പ്രവര്‍ത്തനരഹിതമാക്കും. സാധാരണഗതിയില്‍, കമ്പ്യൂട്ടര്‍ ഉപയോഗത്തിലല്ലെങ്കില്‍ അത് വിച്ഛേദിക്കപ്പെട്ടിരിക്കയാണെന്ന് ശൃംഖലാ നടത്തിപ്പുകാരന്‍ പ്രസ്താവിക്കാറുള്ളതുകൊണ്ട് NIS ക്ലയന്റ് സിസ്റ്റമുള്ള ഉപയോക്താക്കള്‍ അത്തരം സിസ്റ്റങ്ങളില്‍ ‍ശൃംഖലാ നടത്തിപ്പുകാരന്റെ പിന്തുണ പ്രവര്‍ത്തനരഹിതമാക്കിയിട്ടുണ്ടെന്നു് ഉറപ്പാക്കേണ്ടിയിരിയ്ക്കുന്നു.

network-manager പൊതിക്കെട്ട് അഴിച്ചുകളഞ്ഞോ അല്ലെങ്കില്‍ /etc/default/nis ല്‍ YPBINDARGS ലേയ്ക്കു് -no-dbus എന്നു് ചേര്‍ത്തോ ഇതു് ചെയ്യാവുന്നതാണ്.

ഡെബിയന്റെ പുതിയ ഇന്‍സ്റ്റലേഷനു് -no-dbus സഹജമായി ഉപയോഗിക്കുന്നതാണ്, എന്നാല്‍ മുന്‍ പതിപ്പുകളില്‍ അതു് സഹജമായിരുന്നില്ല.

5.6. മോസില്ലാ ഉല്‍പ്പന്നങ്ങളുടെ സുരക്ഷിതത്വ നിലവാരം

മോസില്ല പ്രോഗ്രാമുകളായ firefox, thunderbird, sunbird (ഡെബിയനില്‍ ബ്രാന്‍ഡ്നാമം മാറ്റിവരുന്ന iceweasel, icedove, iceowl) എന്നീ മോസില്ലാ പ്രോഗ്രാമുകളും പല ഉപയോക്താക്കള്‍ക്കും പ്രധാനപ്പെട്ട പണിയായുധങ്ങളാണ്. നിര്‍ഭാഗ്യ‌വശാല്‍ പുതിയ പതിപ്പിലേക്ക് ചുവടു് മാറ്റാന്‍ ഉപയോക്താക്കളെ പ്രേരിപ്പിക്കുന്നതാണ് ഉറവയുടെ സുരക്ഷിതത്വ നയങ്ങള്‍, പുതുക്കുമ്പോള്‍ ചുമതലാപരമായ വളരെയധികം മാറ്റങ്ങള്‍ കൊണ്ടുവരരുതെന്ന ഡെബിയന്റെ നയങ്ങള്‍ക്കെതിരാണ് ഇത്. ഞങ്ങള്‍ക്കതു് ഇപ്പോള്‍ പ്രവചിക്കാനാവില്ല എങ്കിലും, lenny യുടെ അതിജീവനകാലത്ത് മോസില്ലാ ഉല്‍‌പ്പന്നങ്ങള്‍ക്ക് പിന്തുണ നല്‍കാന്‍ ഡെബിയന്‍ സുരക്ഷിതത്വ കൂട്ടായ്മയ്ക്ക് സാധിക്കാത്ത ഒരു ഘട്ടം വരാനും മോസില്ലാ ഉല്‍പന്നങ്ങള്‍ക്കുള്ള പിന്തുണയുടെ അന്ത്യം പ്രഖ്യാ‌പിക്കപ്പെടാനും സാധ്യ‌തയുണ്ട്. സുരക്ഷിതത്വ പിന്തുണയുടെ അഭാവം ഒരു പ്രശ്നമായി വരുമ്പോള്‍ മോസില്ല‌ക്ക് പകരം ഡെബിയനില്‍ ലഭ്യ‌മാകുന്ന മറ്റു പോംവഴികള്‍ കണക്കിലെടുക്കണം.

seamonkey ഇന്റര്‍നെറ്റ് സ്വീറ്റിന്റെ ബ്രാന്‍ഡ് ചെയ്യാത്ത പതിപ്പായ iceape (ചില ആന്തരിക ലൈബ്രറി പൊതികളൊഴികെ) lenny യില്‍ നിന്നും നീക്കം ചെയ്തിരിയ്ക്കുന്നു.

5.7. Security status of OCS Inventory and SQL-Ledger

The webservice packages ocsinventory-server and sql-ledger are included in the lenny release but have special security requirements that users should be aware of before deploying them. These two webservices are designed for deployment only behind an authenticated HTTP zone and should never be made available to untrusted users; and therefore they receive only limited security support from the Debian security team. Users should therefore take particular care when evaluating who to grant access to these services.

5.8. കെഡി‌ഇ പണിയിടം

എച്ചില്‍ ഉണ്ടായിരുന്ന കെഡിഇ പണിയിട പരിസരത്തില്‍ നിന്നും വലിയ വ്യത്യാസമൊന്നും ഇല്ല. പരിഭാഷകള്‍ പുതുക്കിയതും കെഡിഇ 3.5 ന്റെ ഒരു സേവന പതിപ്പായ 3.5.9 ന്റേയും 3.5.10 ന്റേയും ഒരു മിശ്രിതാണു് ലെന്നിയില്‍ ഉള്ളതു്. ചില ഭാഗങ്ങള്‍ 3.5.9 എന്നടയാളപ്പെടുത്തിയിട്ടുണ്ടെങ്കിലും 3.5.10 ല്‍ കാണുന്ന കൂടുതല്‍ മാറ്റങ്ങളും ഉള്‍പ്പെടുത്തി പുതുക്കിയതാണു്. മൊത്തത്തില്‍, ലെന്നി കിക്കറിലെ മെച്ചപ്പെടുത്തലുകളില്ലാത്ത ‌ kdebase ഉം ചില പിഴവു് തിരുത്തലുകളുമില്ലാത്ത kdepim ഉം ഒഴിച്ചാല്‍‌ 3.5.10 തന്നെയാണു് നല്‍കുന്നതു്.

കെഡിഇ 3 ശ്രേണിയിലെ പരിസരം ഉള്‍ക്കൊള്ളുന്ന അവസാനത്തെ പതിപ്പായിരിയ്ക്കും ലെന്നി

5.9. ഗ്നോം പണിയിടത്തിലെ മാറ്റങ്ങളും പിന്തുണയും

etch ല്‍ ഉണ്ടായിരുന്ന ഗ്നോം പണിയിടത്തില്‍ നിന്നും lenny യില്‍ ഉള്‍പ്പെടുത്തിയ പതിപ്പുവരെ വളരെയധികം മാറ്റങ്ങളുണ്ടായിട്ടുണ്ടു്, അവയെക്കുറിച്ചു് കൂടുതല്‍ വിവരങ്ങള്‍ ഗ്നോം 2.22 പ്രസാധനക്കുറിപ്പുകള്‍ നോക്കുക.

5.10. ഈമാക്സ്21* ല്‍ സഹജമായ യൂണികോഡ് പിന്തുണയില്ല

Emacs21 and emacs21-nox are not configured to use Unicode by default. For more information and a workaround please see bug #419490. Consider switching to emacs22, emacs22-gtk, or emacs22-nox.

5.11. slurpd/replica ഇനി മുതല്‍ പ്രവര്‍ത്തിയ്ക്കില്ല

ഓപ്പണ്‍എല്‍ഡാപ്പിന്റെ 2.4.7 പതിപ്പില്‍ അവര്‍ slurpd സേവനം വഴി എല്‍ഡാപ്പ് റെപ്ലിക്കേഷനുള്ള പിന്തുണ നിര്‍ത്തിയിരിയ്ക്കുന്നു. നിലവിലുള്ള ക്രമീകരണങ്ങള്‍ എല്‍ഡാപ്പ് സിങ്ക് റെപ്ലിക്കേഷന്‍ എഞ്ചിനായി (syncrepl) പുനഃക്രമീകരിയ്ക്കണം. കൂടുതല്‍ വിശദമായ സഹായക്കുറിപ്പുകള്‍ http://www.openldap.org/doc/admin24/replication.html എന്ന കണ്ണിയില്‍ കാണാം.

5.12. മുഴുവന്‍ സ്ക്രീനും ഉപയോഗിയ്ക്കാത്ത പണിയിടം

ഇന്റല്‍ മൊബൈല്‍ GM965 തെറ്റായി ഒരു VGA ഔട്ട്പുട്ട് കണ്ടുപിടിയ്ക്കുകയും അതിനെ ഉള്‍ക്കൊള്ളിയ്ക്കാന്‍ സ്ക്രീനിന്റെ വലിപ്പം ചെറിയൊരു വിലയിലേയ്ക്കു് സജ്ജീകരിയ്ക്കുകയും ചെയ്തേയ്ക്കാം. ഈ പിഴവിന്റെ ലക്ഷണം പണിയിട നടത്തിപ്പുകാരന്‍ സ്ക്രീനിന്റെ ഒരു ഭാഗം മാത്രമേ ഉപയോഗിയ്ക്കൂ എന്നതാണു്. ശരിയായ പെരുമാറ്റം നിര്‍ബന്ധിയ്ക്കാന്‍ താഴെ പറയുന്ന വരികള്‍ /etc/X11/xorg.conf ക്രമീകരണ ഫയലില്‍ ചേര്‍ത്താല്‍ മതി.

Section "Monitor"
  Identifier "VGA"
  Option "Ignore" "true"
EndSection

Please refer to the bug #496169 for more informations.

5.13. ഡിഎച്ച്സിപി ഫെയില്‍ഓവര്‍ പ്രശ്നം

ഡിഎച്ച്സിപി സെര്‍വറുകളുടെ ഫെയില്‍ഓവര്‍ ജോഡി പ്രവര്‍ത്തിപ്പിയ്ക്കുമ്പോള്‍ ജോഡികളുടെ പേരുകള്‍ മാറരുതു്, അല്ലെങ്കില്‍ ഡിഎച്ച്സിപി തകരും.

Please see bug #513506 and https://lists.isc.org/pipermail/dhcp-users/2007-September/004538.html for more information.

5.14. VServer Disk Limit

To use the disk limit feature of vserver in lenny, you should use the mount option tag (instead of tagxid in etch).

You should manually update /etc/fstab and/or any script which uses tagxid. Otherwise, the partition will not be mounted and thus the vservers will not start.